Начинающим и не только... > Спроси совет

Советы обо всем. Том 2.

<< < (2/398) > >>

Raendin:
Немного не так. 3.8 это не более продвинутый питон, а другой питон. 2.7 и 3.8 это разные питоны, между собой не совместимые. Раз программа запускается с 2.7 значит она под него и написана, просто поставить последнюю версию 2.7 и не забыть ткнуть галку в инсталлере что бы прописать путь в. Path. Я обычно питона 2.7 ставлю в папку C:\Python27. После этого проверить что в любом месте из командной строки по команде python запускается интерпретатор языка

Затем надо пойти вот сюда -- https://pypi.org/project/pyserial/#files
и скачать архив tar.gz, его распаковать во временное место и запустить там команду:

python setup.py install

Всё должно поставиться и заработать

pm:
Извините, вам запрещён просмотр содержимого спойлеров.

TANk:
Лазерный гравер самодельный у меня на работе, комп на котором крутится управление им тоже. В понедельник проверю.
Спасибо. Будут вопросы еще - побеспокою.  :fr:

Raendin:
Почитал про этот bCNC, он работает и с 2 питоном и с 3. Т.е. можно поставить 3.8. Возможно потребуется установка графической библиотеки Tkinter для него, если вместе с питоном не поставится. Точно также нужно что бы пути к нему были в PATH и проверить что из командной строки командой python3 запускается правильный питон.

Тогда pyserial качать не надо, у просто запустить команду:

pip install pyserial

Ещё там отмечено, что в случае Windows XP версия pyserial должна быть не выше 3.0.1

Также нужно проверить что установлены библиотеки: numpy, python-imaging-tk и scipy

TANk:
Спасибо. Есть теперь в какую сторону копать и смотреть.

Навигация

[0] Главная страница сообщений

[#] Следующая страница

[*] Предыдущая страница

Перейти к полной версии